machine {base} | R Documentation

## Determine the Machine R is Running On

### Description

This function returns a character string which specifies what kind of environment R is being run in.

### Usage

    machine()

### See Also

`.Platform` which provides more than `machine()`; `Machine` for the computer's characteristics in arithmetics;

### Examples

    machine()# to see yours
    tolower(machine()) == .Platform $ OS ## --> often TRUE
    if (machine() == "Macintosh")
      cat("You are using a Macintosh computer\n")